=== utilities/CMakeLists.txt ===
add_subdirectory( afttagger )
add_subdirectory( amzdownloader )
add_subdirectory( collectionscanner )
