=== debian/changelog ===
amarok (2.8.0-8) unstable; urgency=medium

  * Team upload.
  * Add also the default-libmysqlclient-dev build dependency; apparently
    libmariadbd-dev was not enough (Closes: #849598)
  * Bump the default-libmysqlclient-dev and default-mysql-server-core build
    dependencies to 1.0.2~, so we should build with MariaDB 10.1 as default.
    (Closes: #849326)

 -- Pino Toscano <pino@debian.org>  Sun, 15 Jan 2017 23:41:15 +0100

amarok (2.8.0-7) unstable; urgency=medium

  * Team upload.
  * Switch to the default MySQL implementation in Debian:
    - replace the libmysqld-pic build dependency with libmariadbd-dev; while
      it represents the current default MySQL version, in reality something
      like default-mysqld-dev would be needed (Closes: #845798)
    - replace the mysql-server-core-5.6 build dependency alternative with
      default-mysql-server-core (Closes: #815567)
  * Enable the gpodder.net support, now that libmygpo-qt is in Debian:
    (Closes: #655362)
    - add the libmygpo-qt-dev >= 1.0.9-2~ build dependency, with the version
      required because of #838229
    - update install files
  * Drop -DCMAKE_USE_RELATIVE_PATHS=ON from the CMake flags: it is no more
    supported in recent versions.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Dec 2016 16:33:17 +0100

amarok (2.8.0-6) unstable; urgency=medium

  [ Pino Toscano ]
  * Backport upstream commit 9449ec56d1fd77a0bfa1f7134a2bf4f91ffd14d3 to fix
    the MPRIS2 integration with Plasma 5.7; patch
    backport_mpris2_desktopentry.diff.

  [ Andrey Rahmatullin ]
  * Fix detecting taglib >= 1.10 (Closes: #841134).

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Fri, 02 Dec 2016 00:16:40 +0500

amarok (2.8.0-5) unstable; urgency=medium

  * Team upload.
  * Drop menu file and its pixmaps, since amarok already provides a .desktop
    file.
  * Remove amarok-dbg in favour of the -dbgsym packages.
  * Update Vcs-* fields.
  * Remove unused libstreamanalyzer-dev and libstrigiqtdbusclient-dev build
    dependencies.
  * Nepomuk is being phased out, so drop the support for Nepomuk collections:
    - remove the nepomuk-core-dev and libsoprano-dev build dependencies
    - update the install files
  * Update lintian overrides.
  * Fix a typo in amarokcollectionscanner.1.
  * Remove manual dh_makeshlibs invocation in rules, since what it does is
    already done by the kde dh addon.
  * Remove manual dh_builddeb invocation in rules, since the default
    compression is XZ already in stable.
  * Replace kdemultimedia-kio-plugins with kio-audiocd in README.Debian.
  * Backport upstream commit 9308403e1c8484052f277bf6de32ee07c93a4beb to fix
    build with GCC 6; patch backport_gcc6.diff. (Closes: #822704)
  * Recommend khelpcenter in amarok-doc. (Closes: #718197)
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Tue, 28 Jun 2016 07:05:53 +0200

amarok (2.8.0-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control:
    - Update to Debian Policy 3.9.7.
    - Build-Depends-Indep: Change build dependency from mysql-server-core to
      virtual-mysql-server-core to allow mariadb usage (closes: #815567).

 -- Samuel Henrique Oltramari Pinto (SamuelOPH) <samueloph@gmail.com>  Sun, 27 Mar 2016 12:43:01 -0300

amarok (2.8.0-4) unstable; urgency=medium

  * Update watch file.
  * Add ffmpeg-2.9.patch for FFmpeg 2.9 compatibility (Closes: #803797)
    Thanks: Andreas Cadhalpun for the patch.

 -- Diane Trout <diane@ghic.org>  Sat, 09 Jan 2016 15:49:03 -0800

amarok (2.8.0-3) unstable; urgency=medium

  [ Maximiliano Curia ]
  * Refresh patches.
  * New patch: valgrind_uninitialized_value

  [ Diane Trout ]
  * Update build-depends-indep to mysql-server-core-5.6.
    This is needed as the libmysqld-pic version changed to 5.6.x.
    (Closes: #793451)
  * Add myself to uploaders, ACKed by Sune and Lisandro.

 -- Diane Trout <diane@debian.org>  Fri, 24 Jul 2015 14:43:31 -0700

amarok (2.8.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Explicitly list libgcrypt20-dev in Build-Depends (Closes:
    #758412).

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 30 Aug 2014 10:37:41 +0200

amarok (2.8.0-2) unstable; urgency=low

  * Drop kdemultimedia-dev build dependency. Apparently, it is not needed.
  * Replace kdemultimedia-kio-plugins Recommends with kio-audiocd.
  * Re-enable QtScript bindings which got disabled due to bug
    (fix debian_disable_qtscriptbindings_check_fix.diff) (Closes: #721882)
  * Describe amzdownloader in amarok-utils package description (Closes: #728037)
  * Backport a fix for a crash on shuffle keyboard shortcut (Closes: #725895)
    Patch: backport_dont_crash_on_shuffle_keyb_shortcut.diff
  * Bump Standards-Version to 3.9.5: no further changes needed.
  * Disallow Spectrum Analyzer applet with VLC backend (Closes: #725893)
    Patch (backport): backport_dont_allow_analyzer_with_vlc.diff

 -- Modestas Vainius <modax@debian.org>  Mon, 04 Nov 2013 21:44:31 +0200

amarok (2.8.0-1) unstable; urgency=low

  * New upstream release:
    - new spectrum analyzer applet added (GStreamer backend only)
      Closes: #683707
  * Team upload.

  [ Modestas Vainius ]
  * Drop libifp-dev and libnjb-dev build dependencies. Apparently, they have
    been unused since initial Amarok 2 release. Thanks to Pino Toscano for
    heads up.
  * Disable test building explicitly. Tests are enabled by default since
    KDE 4.9 so they will trigger FTBFS. We are not quite there yet with amarok
    tests (Closes: #719425).
  * Build depend on nepomuk-core-dev for KDE 4.9 or higher.
  * Adapt debian_disable_qtscriptbindings_check_fix.diff to upstream changes.
  * Adapt debian_find_mysql_fix.diff to upstream changes.
  * Adapt debian_clamz_is_runtime_dependency.diff to upstream changes.
  * Update install files:
    - New libamarokshared library goes to amarok-utils package since it might

