=== debian/rules ===
#!/usr/bin/make -f

#DEB_KDE_LINK_WITH_AS_NEEDED := yes

# Add --no-relax when linking on Alpha in order to fix FTBFS (#684932)
ifeq (alpha,$(shell dpkg-architecture -qDEB_HOST_ARCH))
    export DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-relax
endif

override_dh_auto_configure:
	dh_auto_configure -Skde -- -DKDE4_BUILD_TESTS=false

override_dh_bugfiles:
	dh_bugfiles -A

override_dh_install:
	dh_install
	# Copy English errmsg.sys from mysql-server-core package
	if [ -d debian/amarok-common ]; then \
	    cp -a /usr/share/mysql/english/errmsg.sys debian/amarok-common/usr/share/kde4/apps/amarok/mysqle/; \
	fi

override_dh_strip:
	dh_strip --dbgsym-migration='amarok-dbg (<< 2.8.0-5~)'

%:
	dh $@ --with kde --parallel

.PHONY: override_dh_auto_test
