=== debian/watch ===
version=3
http://download.kde.org/stable/amarok/([\d.]+)/src/amarok-([\d.]+).tar.(?:bz2|xz)
